-------------------------------------------------------------------

     ==========================================================
     Geant4 - an Object-Oriented Toolkit for Physics Simulation
     ==========================================================
---------------------------------------------------------------------

           History file for the Liege cascade INCL Model
           ---------------------------------------------

This file should be used to summarize modifications introduced in the
code and to keep track of all tags.

   ---------------------------------------------------------------
   * Please list in reverse chronological order (last date on top)
   ---------------------------------------------------------------

18 May 2022 - Gabriele Cosmo (hadr-inclxx-V10-07-08)
----------------------------------------------------
- Fixed misuse of bitwise '|' operator instead of logical in INCL::postCascade()
  and in INCL::makeCompoundNucleus().

03 March 2022 - Alberto Ribon (hadr-inclxx-V10-07-07)
-----------------------------------------------------
- G4INCLXXInterface : fixed treatment of kaon0, anti_kaon0, kaon0L, and kaon0S.
  In current reference physics lists, INCLXX is never used for handling kaons,
  although it is capable of doing so, but at process-level or in custom
  physics lists one could observe crashes when trying to use INCLXX for
  neutral kaon projectiles. The change (provided by Jean-Christophe David)
  fixes this misbehavior.

09 February 2022 - Gabriele Cosmo
---------------------------------
- Fixed compilation warnings on Intel compilers for shadowing of variables
  and not used variable.

09 November 2021 - Alberto Ribon (hadr-inclxx-V10-07-06)
-------------------------------------------------------
- G4INCLNuclearPotentialIsospin : improved nuclear potential for
  Lambda particles, fixing crashes observed due to unphysical zero
  Fermi momentum for these particles.
  Changed made by Jean-Christophe David.

27 October 2021 - Alberto Ribon (hadr-inclxx-V10-07-05)
-------------------------------------------------------
- G4INCLXXInterface : extended to projectile hypernuclei

15 October 2021 - Jean-Christophe David (hadr-inclxx-V10-07-04)
---------------------------------------------------------------
- Implementation of hypercluster emission

04 August 2021 - Alberto Ribon (hadr-inclxx-V10-07-03)
------------------------------------------------------
- G4INCLXXInterface : set creator model ID for secondaries, using the
  new version of G4PhysicsModelCatalog

16 April 2021 - Ben Morgan (hadr-inclxx-V10-07-02)
--------------------------------------------------
- Migrate build to modular CMake API

13 April 2021 - Alberto Ribon  (hadr-inclxx-V10-07-01)
--------------------------------------------------------
- Removed the subdirectories hadronic/models/management and
  hadronic/models/util (that have been now deleted, with their classes
  moved to hadronic/util and hadronic/management).
  Removed also the useless dependency to hadronic/process.

08 March 2021 - Alberto Ribon  (hadr-inclxx-V10-07-00)
--------------------------------------------------------
-  G4INCLXXInterface.hh : updated comment.

28 May 2020 - Ben Morgan       (hadr-inclxx-V10-06-02)
--------------------------------------------------------
-  Remove obsolete GRANULAR_DEPENDENCIES entries

12 May 2020      - Alberto Ribon (hadr-inclxx-V10-06-01)
---------------------------------------------------------------
- G4INCLXXInterfaceStore.cc : in the method EmitBigWarning,
  check the global verbosity level of hadronics (if zero,
  do not print anything).

05 May 2020      - Gunter Folger (hadr-inclxx-V10-06-00)
---------------------------------------------------------------
- Fix for clang10: for for warning on confusing indentation
   enclose statements in if/else with {}
   Affected:  incl_physics/src/G4INCLInteractionAvatar.cc

19 December 2018 - Alberto Ribon (hadr-inclxx-V10-05-00)
---------------------------------------------------------------
- G4INCLHFB.cc : Fixed (weak and strong) non-reproducibility by making
  the arrays radiusP, radiusN, diffusenessP, diffusenessN thread-local.

21 November 2018 - Gabriele Cosmo (hadr-inclxx-V10-04-06)
---------------------------------------------------------------
- G4INCLRandom.hh: changed Adapter::operator()() to make direct use of
  G4RandFlat::shootInt(n). Fixes FPE errors reported in testing in MT
  mode optimised.

09 November 2018 - Gabriele Cosmo (hadr-inclxx-V10-04-05)
---------------------------------------------------------------
- Fixed few printout typos.

10 October 2018 - Jean-Christophe David (hadr-inclxx-V10-04-04)
---------------------------------------------------------------
- INCL++ v6.28
  o Remove Fix SIGFPE
  o Put gauss from Geant4

04 October 2018 - Jean-Christophe David (hadr-inclxx-V10-04-03)
---------------------------------------------------------------
- INCL++ v6.26
  o Fix SIGFPE in Random.hh

21 September 2018 - Jean-Christophe David (hadr-inclxx-V10-04-02)
---------------------------------------------------------------
- INCL++ v6.25
  o Fix a mass of a light hypernucleus (Z=1,A=2)

06 September 2018 - Jean-Christophe David (hadr-inclxx-V10-04-01)
---------------------------------------------------------------
- INCL++ v6.24
  o Path to the library for HFB

04 September 2018 - Jean-Christophe David (hadr-inclxx-V10-04-00)
---------------------------------------------------------------
- INCL++ v6.23
  o Fix bugs and Compatibility with C++17 checked…

10 August 2018 - Jean-Christophe David (hadr-inclxx-V10-04-1)
---------------------------------------------------------------
- INCL++ v6.22
  o Fix bugs and improve strangeness and few nucleon removal (HFB)
  o Compatibility with C++17 checked

04 December 2017 - Alberto Ribon (hadr-inclxx-V10-03-20)
---------------------------------------------------------------
- G4INCLRandom : improved to avoid reproducibility problems.
  The method "gaussWithMemory" should be called twice for drawing a pair
  of correlated gaussian variables, whereas the method "gauss" should be
  used for usual, single and independent gaussian variables.

10 November 2017 - Jean-Christophe David (hadr-inclxx-V10-03-19)
---------------------------------------------------------------
- INCL++ v6.0
  o Fix bugs in eta/omega channels (v6.0 = strangeness + HFB)

27 October 2017 - Jose Luis Rodriguez Sanchez (hadr-inclxx-V10-03-18)
---------------------------------------------------------------
- INCL++ v6.0_rc18 - Fix warnings

26 October 2017 - Jose Luis Rodriguez Sanchez (hadr-inclxx-V10-03-16)
---------------------------------------------------------------
- INCL++ v6.0_rc16
  o Fix minor bugs

18 October 2017 - Jose Luis Rodriguez Sanchez (hadr-inclxx-V10-03-15)
---------------------------------------------------------------
- INCL++ v6.0_rc15
  o Fix warning in Geant4 (interface --> newTargetS)

18 October 2017 - Jose Luis Rodriguez Sanchez (hadr-inclxx-V10-03-14)
---------------------------------------------------------------
- INCL++ v6.0_rc14
  o Separation energies improved and hypercluster emission added

07 October 2017 - Jose Luis Rodriguez Sanchez (hadr-inclxx-V10-03-10)
---------------------------------------------------------------
- INCL++ v6.0_rc10
  o Few nucleon removal improved

27 September 2017 - Jason Hirtz (hadr-inclxx-V10-03-09)
---------------------------------------------------------------
- INCL++ v6.0_rc9
  o Warnings fixed

26 September 2017 - Jason Hirtz (hadr-inclxx-V10-03-08)
---------------------------------------------------------------
- INCL++ v6.0_rc8
  o Implementation of strangeness (+ improvement of eta)

18 November 2016 - Jean-Christophe David (hadr-inclxx-V10-02-05)
---------------------------------------------------------------
- INCL++ v5.3
  o INCLXXInterface modified

02 November 2016 - Jean-Christophe David (hadr-inclxx-V10-02-04)
---------------------------------------------------------------
- INCL++ v5.3_rc14
  o Better N-induced eta production XS

25 October 2016 - Jean-Christophe David (hadr-inclxx-V10-02-03)
---------------------------------------------------------------
- INCL++ v5.3_rc13
  o A warning fixed.

24 October 2016 - Jean-Christophe David (hadr-inclxx-V10-02-02)
---------------------------------------------------------------
- INCL++ v5.3_rc12
  o Implementation of eta and omega meson production.
  o A few minor fixes.

1 August 2016 - Jean-Christophe David (hadr-inclxx-V10-02-01)
---------------------------------------------------------------
- INCL++ v5.3_rc5
  o Fix warnings (G4INCLPionResonanceDecayChannel.cc - pionType).

27 July 2016 - Jean-Christophe David (hadr-inclxx-V10-02-00)
---------------------------------------------------------------
- INCL++ v5.3_rc4
  o First implementation of eta meson production.
  o A few minor fixes.

25 November 2015 - Davide Mancusi (hadr-inclxx-V10-01-07)
---------------------------------------------------------------
- INCL++ v5.2.9.5
  o Really fix nuclide name parsing.

24 November 2015 - Davide Mancusi (hadr-inclxx-V10-01-06)
---------------------------------------------------------------
- INCL++ v5.2.9.4
  o Omit use of real masses from incl42 physics option.
  o Fix nuclide name parsing.

24 November 2015 - Davide Mancusi (hadr-inclxx-V10-01-05)
---------------------------------------------------------------
- Fix GNUMake build.

23 November 2015 - Davide Mancusi (hadr-inclxx-V10-01-03, -04)
---------------------------------------------------------------
- INCL++ v5.2.9.3
    o Add some setters for Config members.
    o Remove INCL_INVERSE_KINEMATICS compile-time symbol.
    o Add UI commands to control the INCL physics and the coupled de-excitation model.

10 July 2015 - Davide Mancusi (hadr-inclxx-V10-01-02)
---------------------------------------------------------------
- INCL++ v5.2.9.1
  o Checked all the while loops in the code and added guards and comments.

10 July 2015 - Davide Mancusi (hadr-inclxx-V10-01-01)
---------------------------------------------------------------
- INCL++ v5.2.9
  o Introduces the possibility to perform calculations with a limited number of
    outgoing pions in multipion collisions.

26 May 2015 - Robert Hatcher (hadr-inclxx-V10-01-00)
---------------------------------------------------------------
- Remove unnecessary "using namespace std" from G4INCLXXInterface.hh
  that causes problems w/ G4AnyMethod & G4GenericPhysicsList
  when using clang and/or vc12

19 November 2014 - Davide Mancusi (hadr-inclxx-V10-00-25)
---------------------------------------------------------------
- INCL++ v5.2.8
  o Fix a compilation error in Debug mode.

18 November 2014 - Davide Mancusi (hadr-inclxx-V10-00-23, -24)
---------------------------------------------------------------
- INCL++ v5.2.7.3
  o Bump tweak version number for consistency with stand-alone code. No
    changes.
  o Update reference in G4INCLXXInterface::ModelDescription().

12 November 2014 - Davide Mancusi (hadr-inclxx-V10-00-21, -22)
---------------------------------------------------------------
- INCL++ v5.2.7.2
  o Fix a compilation error on an old Mac/GNUMake build.

7 November 2014 - Davide Mancusi (hadr-inclxx-V10-00-18, -19, -20)
---------------------------------------------------------------
- INCL++ v5.2.7
  o Might fix a compilation error on an old Mac/GNUMake build.

7 November 2014 - Davide Mancusi (hadr-inclxx-V10-00-17)
---------------------------------------------------------------
- INCL++ v5.2.5
  o Fix a bug that caused a large overestimation of the compound-nucleus spin
    in "fusion".

6 November 2014 - Davide Mancusi (hadr-inclxx-V10-00-15, 16)
---------------------------------------------------------------
- INCL++ v5.2.4.2
  o Added AvatarDumpAction.

22 October 2014 - Davide Mancusi (hadr-inclxx-V10-00-14)
---------------------------------------------------------------
- INCL++ v5.2.4
  o Updated list of authors.
  o Activate use of adjusted fission parameter in G4ExcitationHandler.

15 October 2014 - Gabriele Cosmo (hadr-inclxx-V10-00-13)
---------------------------------------------------------------
- Corrected dependecy list in GNUMakefile and sources.cmake for 'interface'
  module; added dependency to 'de_excitation/fission'.

14 October 2014 - Davide Mancusi (hadr-inclxx-V10-00-12)
---------------------------------------------------------------
- INCL++ v5.2.3
  o Large reduction in memory churn due to allocation pools. Some speed-up (a
    few percent).

26 September 2014 - Davide Mancusi (hadr-inclxx-V10-00-11)
---------------------------------------------------------------
- INCL++ v5.2.2
  o Fix Coverity warning + minor clean-up

8 July 2014 - Davide Mancusi (hadr-inclxx-V10-00-09, -10)
---------------------------------------------------------------
- INCL++ v5.2.1
  o Add plumbing for tallying reactions treated by INCL++
  o Minor clean-up

16 June 2014 - Davide Mancusi (hadr-inclxx-V10-00-08)
---------------------------------------------------------------
- Fix crash in p+He2 (!) reactions

2 June 2014 - Davide Mancusi (hadr-inclxx-V10-00-07)
---------------------------------------------------------------
- Retag as INCL++ v5.2

23 May 2014 - Davide Mancusi (hadr-inclxx-V10-00-06)
---------------------------------------------------------------
- INCL++ v5.2_rc2
  o Fix a compilation error on Windows.

22 May 2014 - Davide Mancusi (hadr-inclxx-V10-00-04, -05)
---------------------------------------------------------------
- INCL++ v5.2_rc1
  o Extends INCL++ up to 15-20 GeV incident energy.
  o A few improvements, minor bug fixes and speed-ups.
  o Fixes a minor Coverity warning.

13 March 2014 - Gabriele Cosmo (hadr-inclxx-V10-00-03)
---------------------------------------------------------------
- Fixed use of inline keyword for method getPhaseSpace() defined in
  ClusteringModelIntercomparison.cc.

10 March 2014 - Davide Mancusi (hadr-inclxx-V10-00-02)
---------------------------------------------------------------
- Const-correctness fix for G4ParticleDefinition objects.

5 March 2014 - Davide Mancusi (hadr-inclxx-V10-00-01)
---------------------------------------------------------------
- Fix: avoid negative Fermi energies for delta resonances

9 January 2014 - Davide Mancusi (hadr-inclxx-V10-00-00)
---------------------------------------------------------------
- Fix: occasionally produced an excited nucleon as a pre-fragment.
- Getter for INCL Config object in the G4INCLInterfaceStore.

29 November 2013 - Davide Mancusi (hadr-inclxx-V09-06-47, -48)
---------------------------------------------------------------
- Fix: energy conservation systematically fails because the G4HadProjectile
  mass is wrong. Work around this.

27 November 2013 - Gabriele Cosmo (hadr-inclxx-V09-06-46)
---------------------------------------------------------------
- Fix in G4INCLBinaryCollisionAvatar for compilation error in MT mode
  on the icc compiler.

19 November 2013 - Davide Mancusi (hadr-inclxx-V09-06-44, -45)
---------------------------------------------------------------
- Resample interaction if four-momentum conservation is violated.

18 November 2013 - Davide Mancusi (hadr-inclxx-V09-06-42, -43)
---------------------------------------------------------------
- Don't panic on reactions induced by di-protons.

15 November 2013 - Davide Mancusi (hadr-inclxx-V09-06-41)
---------------------------------------------------------------
- Fix borked case in for loop.

14 November 2013 - Davide Mancusi (hadr-inclxx-V09-06-40)
---------------------------------------------------------------
- Fix bug in phase-space decay of exotic clusters.

12 November 2013 - Davide Mancusi (hadr-inclxx-V09-06-39)
---------------------------------------------------------------
- Fix bug in forced pion emission at the end of cascade.

12 November 2013 - Davide Mancusi (hadr-inclxx-V09-06-38)
---------------------------------------------------------------
- Fix run-time crash in test69 on Windows.

12 November 2013 - Davide Mancusi (hadr-inclxx-V09-06-37)
---------------------------------------------------------------
- Fix compile error on VC9 -- might be related with some Win crashes in test69?

6 November 2013 - Davide Mancusi (hadr-inclxx-V09-06-36)
---------------------------------------------------------------
- INCL++ v5.1.14
  o Silence a compilation warning.
  o Fix a bug affecting very light targets.
  o Tag as v5.1.14.

2 November 2013 - Davide Mancusi (hadr-inclxx-V09-06-35)
---------------------------------------------------------------
- INCL++ v5.1.14_rc18
  o Fix a TLS policy violation that caused violation of MT-vs-SEQ
    reproducibility.

31 October 2013 - Davide Mancusi (hadr-inclxx-V09-06-32, -33, -34)
---------------------------------------------------------------
- INCL++ v5.1.14_rc17
  o A handful of minor fixes.
  o Prepare the G4INCLXXInterface to handle different de-excitation models
    through the SetDeExcitation method().
  o Fix a TLS violation in G4INCLCrossSections.cc.

25 October 2013 - Davide Mancusi (hadr-inclxx-V09-06-31)
---------------------------------------------------------------
- INCL++ v5.1.14_rc13
  o Mostly cosmetic changes, some code refactoring.

21 October 2013 - Davide Mancusi (hadr-inclxx-V09-06-30)
---------------------------------------------------------------
- INCL++ v5.1.14_rc11
  o Fix compilation errors on Mac.

21 October 2013 - Davide Mancusi (hadr-inclxx-V09-06-29)
---------------------------------------------------------------
- INCL++ v5.1.14_rc10
  o More optimisation.

15 October 2013 - Davide Mancusi (hadr-inclxx-V09-06-28)
---------------------------------------------------------------
- INCL++ v5.1.14_rc8
  o Further optimisation and reduction of memory churn.

4 October 2013 - Davide Mancusi (hadr-inclxx-V09-06-27)
---------------------------------------------------------------
- INCL++ v5.1.14_rc7
  o Largely reduced memory churn.

26 September 2013 - Davide Mancusi (hadr-inclxx-V09-06-26)
---------------------------------------------------------------
- INCL++ v5.1.14_rc6
  o Get rid of calls to G4ParticleTable::GetIonTable(), too!

24 September 2013 - Davide Mancusi (hadr-inclxx-V09-06-25)
---------------------------------------------------------------
- INCL++ v5.1.14_rc5
  o Get rid of obsolete calls to G4ParticleTable::GetIon().

19 September 2013 - Davide Mancusi (hadr-inclxx-V09-06-23, -24)
---------------------------------------------------------------
- INCL++ v5.1.14_rc4
  o Slightly faster, and probably gentler as far as memory thrashing is
  concerned
  o A handful of bug fixes

26 August 2013 - Davide Mancusi (hadr-inclxx-V09-06-22)
-----------------------------------------------------------
- INCL++ v5.1.13.4
  o Fixes crash in very low-energy (~1 MeV) p+He4
  reactions -- really.
- Restore granular dependencies and include_directories
  fix by G. Cosmo.

24 July 2013 - Davide Mancusi (hadr-inclxx-V09-06-21)
-----------------------------------------------------------
- INCL++ v5.1.13.3
  o Fixes crash in very low-energy (~1 MeV) p+He4 reactions
    and in light-ion-induced reactions.

16 July 2013 - Gabriele Cosmo (hadr-inclxx-V09-06-20)
-----------------------------------------------------------
-  Correction to CMake scripts for granular build.

20 June 2013 - Davide Mancusi (hadr-inclxx-V09-06-19)
-----------------------------------------------------------
- Fix compilation warning.

19 June 2013 - Davide Mancusi (hadr-inclxx-V09-06-18)
-----------------------------------------------------------
- INCL++ v5.1.13.2
  o Minor fixes.

7 June 2013 - Vladimir Ivanchenko (hadr-inclxx-V09-06-17)
-----------------------------------------------------------
- G4INCLXXInterface - do not delete Binarycascade objects, because
    all hadronic models are deleted by model store. This is a fix
    of outstanding problem for Geant4 MT

6 June 2013 - Gabriele Cosmo (hadr-inclxx-V09-06-16)
-----------------------------------------------------------
- Replaced defines in G4INCLLogger by adding prefix "INCL_" to avoid
  clashes with specific macros defined in Windows system:
  INCL_FATAL(x), INCL_ERROR(x), INCL_WARN(x), INCL_INFO(x),
  INCL_DEBUG(x), INCL_DATABLOCK(x).
  Adapted code accordingly.
- Avoid dynamic initialisation of thread-local variables for porting
  on Windows in G4INCLParticleTable.cc.

22 May 2013 - Davide Mancusi (hadr-inclxx-V09-06-15)
-----------------------------------------------------------
- INCL++ v5.1.13.1
  o Fixes a bug that caused very long CPU times in benchmarks.

21 May 2013 - Davide Mancusi (hadr-inclxx-V09-06-14)
-----------------------------------------------------------
- INCL++ v5.1.13
  o Experimental support for neutron skins.
  o Experimental support for fuzzy r-p correlations.
  o Debug output controlled by G4INCL_DEBUG_VERBOSITY envvar.
  o Rely on BIC for pion-nucleon and nucleon-nucleon reactions.

17 May 2013 - Davide Mancusi (hadr-inclxx-V09-06-13)
-----------------------------------------------------------
- INCL++ v5.1.12.3
  o Fix a crash for light targets.

16 May 2013 - Davide Mancusi (hadr-inclxx-V09-06-11)
-----------------------------------------------------------
- Fix clang compiler warning about unused functions.

15 May 2013 - Davide Mancusi (hadr-inclxx-V09-06-10)
-----------------------------------------------------------
- INCL++ v5.1.12.1
  o More adjustments in the nucleus-nucleus sector.

26 March 2013 - Davide Mancusi (hadr-inclxx-V09-06-09)
-----------------------------------------------------------
- Fix another compilation error for G4-MT.

15 March 2013 - Davide Mancusi (hadr-inclxx-V09-06-08)
-----------------------------------------------------------
- Fix compilation errors for G4-MT.

13 March 2013 - Davide Mancusi (hadr-inclxx-V09-06-07)
-----------------------------------------------------------
- INCL++ v5.1.11
  o Several adjustments in the nucleus-nucleus sector. Fixes a big bug which
    involved light targets.
  o Some code refactoring.

12 March 2013 - Dennis Wright (hadr-inclxx-V09-06-06)
-----------------------------------------------------
- fixed MacOS Clang compiler warnings: unused private variables in classes
  G4INCLRecombinationChannel, G4INCLElasticChannel, G4INCLPionNucleonChannel,
  G4INCLDeltaDecayChannel, G4INCLDeltaProductionChannel,
  G4INCLInteractionAvatar

1 March 2013 - Davide Mancusi (hadr-inclxx-V09-06-05)
-----------------------------------------------------------
- Fix a compilation warning

25 February 2013 - Davide Mancusi (hadr-inclxx-V09-06-04)
-----------------------------------------------------------
- Fix some compilation warnings and errors

22 February 2013 - Davide Mancusi (hadr-inclxx-V09-06-03)
-----------------------------------------------------------
- Use PreCompound only for incident nucleons

22 February 2013 - Davide Mancusi (hadr-inclxx-V09-06-02)
-----------------------------------------------------------
- INCL++ v5.1.10
  o Relies on PreCompound for reactions below 1 AMeV (configurable via the
    G4INCLXXInterfaceMessenger)
  o Adapted some of the MT modifications -- the code should still be
    thread-safe
  o Some code refactoring

8 January 2013 - Davide Mancusi (hadr-inclxx-V09-06-01)
-----------------------------------------------------------
- INCL++ v5.1.9
  o Removes calls to abort() and exit()

29 November 2012 - Gabriele Cosmo (hadr-inclxx-V09-05-31)
-----------------------------------------------------------
- Remove inclusion of G4SystemOfUnits from headers!

6 November 2012 - Davide Mancusi (hadr-inclxx-V09-05-30)
-----------------------------------------------------------
- INCL++ v5.1.8
  o Fixes a bug in forced compound nucleus (emission of di-protons or
    di-neutrons)

4 November 2012 - Davide Mancusi (hadr-inclxx-V09-05-29)
-----------------------------------------------------------
- INCL++ v5.1.7
  o Fixes Coverity warnings
  o Fixes a bug affecting the choice of the accurate-projectile mode

27 October 2012 - Davide Mancusi (hadr-inclxx-V09-05-28)
-----------------------------------------------------------
- INCL++ v5.1.6
  o Major speed improvement in cluster coalescence -- gained about a factor of
    2 in 1-GeV p+208Pb
  o Fix some bugs in reactions induced by composite particles

9 October 2012 - Davide Mancusi (hadr-inclxx-V09-05-27)
-----------------------------------------------------------
- INCL++ v5.1.5
  o Only one model instance for all processes
  o Messenger interface now creates commands in /process/had/inclxx, for
    consistency with Bertini
  o Optimisation of the cluster-coalescence algorithm reduces CPU time by about
    40% in 1-GeV p+208Pb
  o Fixes Coverity warnings
  o Bug fixes

26 September 2012 - Gabriele Cosmo (hadr-inclxx-V09-05-26)
-----------------------------------------------------------
- Explicitly use inclusion of headers for system of units and physical
  constants, in plan to remove implicit inclusion from globals.hh.

4 September 2012 - Davide Mancusi (hadr-inclxx-V09-05-25)
-----------------------------------------------------------
- Fixes GNUmake compilation errors

3 September 2012 - Davide Mancusi (hadr-inclxx-V09-05-24)
-----------------------------------------------------------
- INCL++ v5.1.4
  o Fixes some shadowing warnings

27 August 2012 - Davide Mancusi (hadr-inclxx-V09-05-23)
-----------------------------------------------------------
- INCL++ refuses to handle reactions between nuclei with A>18. Those reactions
  will be handled by BIC.
- Fix the warning message about BIC being used instead of INCL++.

26 August 2012 - Davide Mancusi (hadr-inclxx-V09-05-22)
-----------------------------------------------------------
- Hopefully fix some crashes on Windows.

25 August 2012 - Davide Mancusi (hadr-inclxx-V09-05-21)
-----------------------------------------------------------
- Fix missing include paths in GNUmakefile
- Emit a warning when the backup model is used.

23 August 2012 - Davide Mancusi (hadr-inclxx-V09-05-20)
-----------------------------------------------------------
- INCL++ v5.1.3
  o Realistic densities for deuterons
  o Can be used for very light systems (e.g. p+alpha)
  o Fixes some minor memory leaks
  o Fixes a Coverity warning
  o Should fix some crashes on Windows

17 July 2012 - Davide Mancusi (hadr-inclxx-V09-05-19)
-----------------------------------------------------------
- Remove relic file utils/src/G4INCLBook.cc.
- Fix a minor bug concerning transmission of delta resonances.

9 July 2012 - Davide Mancusi (hadr-inclxx-V09-05-18)
-----------------------------------------------------------
- Fix compilation warning on Windows.

9 July 2012 - Davide Mancusi (hadr-inclxx-V09-05-17)
-----------------------------------------------------------
- INCL++ v5.1.1
  o Should fix all Coverity warnings.
  o Minor bugfixes.

12 June 2012 - Davide Mancusi (hadr-inclxx-V09-05-16)
-----------------------------------------------------------
- Should compile cleanly with -Wshadow.

1 June 2012 - Davide Mancusi (hadr-inclxx-V09-05-15)
-----------------------------------------------------------
- INCL++ v5.1
  o Interface returns an empty G4HadFinalState if no inelastic event could be
    produced.

25 May 2012 - Davide Mancusi (hadr-inclxx-V09-05-14)
-----------------------------------------------------------
- INCL++ v5.1_rc11
  o Fixes a compiler warning on Windows.

24 May 2012 - Davide Mancusi (hadr-inclxx-V09-05-13)
-----------------------------------------------------------
- INCL++ v5.1_rc10
  o Refactored the configuration part of the interface in a separate
    G4INCLXXInterfaceConfig singleton. The interface is no longer a singleton.
  o Fixes a couple of minor bugs.

22 May 2012 - Davide Mancusi (hadr-inclxx-V09-05-12)
-----------------------------------------------------------
- INCL++ v5.1_rc9
  o Fixes a couple of minor bugs.

12 May 2012 - Davide Mancusi (hadr-inclxx-V09-05-11)
-----------------------------------------------------------
- INCL++ v5.1_rc8
  o Fixes a circular library dependency, compilation on Windows and some
    mistakes in the build system.
  o Minor bugfix in cluster decay.

12 May 2012 - Davide Mancusi (hadr-inclxx-V09-05-09)
-----------------------------------------------------------
- INCL++ v5.1_rc6
  o Fixes a bug mostly affecting reactions around 200 MeV.

11 May 2012 - Davide Mancusi (hadr-inclxx-V09-05-08)
-----------------------------------------------------------
- New INCL++ v5.1_rc5
  o Can handle heavy-ion collisions
  o Conserves energy using masses from the G4 tables down
    to the keV level.

23 April 2012 - Davide Mancusi (hadr-inclxx-V09-05-07)
-----------------------------------------------------------
- Bugfix:
  o Avoid collisions with A=1 targets.

11 April 2012 - Davide Mancusi (hadr-inclxx-V09-05-06)
-----------------------------------------------------------
- Bugfix:
  o De-excitation products should not be boosted using the pre-fragment
    velocity.

9 February 2012 - Davide Mancusi (hadr-inclxx-V09-05-04,hadr-inclxx-V09-05-05)
-----------------------------------------------------------
- Fix compiler warning about an unused function parameter.

6 February 2012 - Davide Mancusi (hadr-inclxx-V09-05-03)
-----------------------------------------------------------
- Bugfix:
  o Sampling of the impact-parameter distribution was incomplete for
    nucleon-induced reactions and incoming kinetic energies below ~40 MeV.

2 February 2012 - Davide Mancusi (hadr-inclxx-V09-05-02)
-----------------------------------------------------------
- Bugfixes:
  o Do nothing if the projectile is below the Coulomb barrier.
  o Always apply numerical solutions (used to lead to some minor violations of
    energy conservation).

16 January 2012 - Davide Mancusi (hadr-inclxx-V09-05-01)
-----------------------------------------------------------
- Better (iterative) determination of the remnant recoil at the the end of the
  cascade.
- Isospin-dependent back-to-spectator.
- Cache NuclearDensity objects for better performance (although we do not
  really exploit this in G4 yet).
- Bugfix:
  o Minor bug for negative incident pions -- integration over impact-parameter
    distribution was incomplete.

21 November 2011 - Pekka Kaitaniemi (hadr-inclxx-V09-04-11)
-----------------------------------------------------------
- Fixed local energy logic
- Fixed separation energy in cluster emission

14 November 2011 - Pekka Kaitaniemi (hadr-inclxx-V09-04-10)
-----------------------------------------------------------
- Corrected the order in which the INCL++ model and projectile are created in
	the interface. This actually is a better fix to the FPE problem than tag
	hadr-inclxx-V09-04-09.

10 November 2011 - Pekka Kaitaniemi (hadr-inclxx-V09-04-09)
-----------------------------------------------------------
- Added safeguard against FPE in G4INCLCrossSections.cc

07 November 2011 - Pekka Kaitaniemi (hadr-inclxx-V09-04-08)
-----------------------------------------------------------
- Don't apply nucleon-nucleon collision energy cut to the first collision
- Bugfixes:
  o Check that the nucleus pointer isn't NULL
  o G4INCLFinalState memory leaks
  o Proper use of ion definitions in the INCL++ G4 interface

04 November 2011 - Pekka Kaitaniemi (hadr-inclxx-V09-04-07)
-----------------------------------------------------------
- Set the maximum coalescence cluster mass to 8

03 November 2011 - Pekka Kaitaniemi (hadr-inclxx-V09-04-06)
-----------------------------------------------------------
- Declared G4INCLIFunction, G4INCLIParticleDataSource and
  G4INCLIClusteringModel destructors as virtual

01 November 2011 - Gabriele Cosmo (hadr-inclxx-V09-04-05)
---------------------------------------------------------
- Correction to GNUmakefiles to allow for DLL build on Windows.

31 October 2011 - Pekka Kaitaniemi (hadr-inclxx-V09-04-04)
----------------------------------------------------------
- Fixed Windows/VC++ compiler warning

24 October 2011 - Pekka Kaitaniemi (hadr-inclxx-V09-04-03)
----------------------------------------------------------
- Fixed Mac/Windows compilation problem (incl_physics/include/G4INCL.hh clashed
	with the G4Incl.hh from INCL4.2 on case-insensitive filesystems)
	o Solution: Renamed G4INCL.[hh|cc] to G4INCLCascade.[hh|cc]
- Fixed icc macro expansion related compilation problems
- Renamed Particle.[hh|cc] to G4INCLParticle.[hh|cc]
- Renamed IAvatar.[hh|cc] to G4INCLIAvatar.[hh|cc]

19 October 2011 - Pekka Kaitaniemi (hadr-inclxx-V09-04-02)
----------------------------------------------------------
- Fixed type mismatches that caused warnings when compiling with GCC 4.1

26 September 2011 - Pekka Kaitaniemi (hadr-inclxx-V09-04-01)
------------------------------------------------------------
- Added some debugging environment variables to the INCL++ interface:
	o Goal: Allow the developer to inspect cascade specific quantities (such as
	mass, charge and excitation energy of the cascade remnant nucleus) before
	de-excitation to disable de-excitation entirely (useful when we'd like to
	separate the contributions of cascade and de-excitation)
  o G4INCLXX_NO_DE_EXCITATION disables de-excitation
	o G4INCLXX_STORE_RAW_DEBUG_OUTPUT stores the cascade output into file
	inclDebug.out

01 September 2011 - Pekka Kaitaniemi (hadr-inclxx-V09-04-00)
------------------------------------------------------------
- Imported the first version of INCL++ intra-nuclear cascade model into Geant4
- INCL++ version: v5.0 alpha1
  o Based on INCL4.6 cascade model
	o Supported projectiles: protons, neutrons, pions up to 3 GeV
	o Uses G4ExcitationHandler for de-excitation

